<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }

if(isset($_POST['id']) && isset($_POST['type'])){
$id_ps = intval($_POST['id']);
$type = $_POST['type'];
$extra = $_POST['extra'];
$showsum = intval($_POST['showsum']);
$infotext = $_POST['infotext'];

$paysys = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,ti,ident,active_in FROM `".DB_PREFIX."_pay_systems` WHERE id='$id_ps' LIMIT 1"));
if (empty($paysys['id'])) { wu_log_act(2, 'Пытался создать счёт с помощью несуществующей платёжной системы #'.wu_filter($_POST['id'])); exit('wu-error'); }

if ($paysys['active_in'] != 1) { wu_log_act(1, "Пытался создать счёт с помощью закрытой для пополнения платёжной системы $paysys[ti]"); exit('wu-error'); }

//Инклуд формы выбранной платёжной системы
require_once('wu_pay_form_'.$paysys['ident'].'.php');

} else { wu_log_act(2, 'Пытался создать счёт с пустыми параметрами идентификации'); exit('wu-error'); }
?>